Test::Float::MiniModelLin::LinInstr Class Reference

Type for representing a linear instruction. More...

## Public Attributes

LinOpcode | o
| Which instruction to execute.
unsigned char | x
unsigned char | y
unsigned char | z
| Instruction arguments, y is destination (or z).
int | c
| Numerical constant.

## Detailed Description

Type for representing a linear instruction.

Definition at line 59 of file mm-lin.cpp.

## Member Data Documentation

## o

LinOpcode Test::Float::MiniModelLin::LinInstr::o

Which instruction to execute.

Definition at line 61 of file mm-lin.cpp.

## x

unsigned char Test::Float::MiniModelLin::LinInstr::x

Definition at line 62 of file mm-lin.cpp.

## y

unsigned char Test::Float::MiniModelLin::LinInstr::y

Definition at line 62 of file mm-lin.cpp.

## z

unsigned char Test::Float::MiniModelLin::LinInstr::z

Instruction arguments, y is destination (or z).

Definition at line 62 of file mm-lin.cpp.

## c

int Test::Float::MiniModelLin::LinInstr::c

Numerical constant.

Definition at line 63 of file mm-lin.cpp.

The documentation for this class was generated from the following file:

- test/float/mm-lin.cpp